templates:
  gnu:
    url: "https://ftp.gnu.org/gnu/@NAME@/"
    pattern: "@NAME@-[0-9]+\\.[0-9]+(?:\\.[0-9]+)?\\.tar\\.gz"
  savannah:
    url: "https://download.savannah.gnu.org/releases/@NAME@/"
    pattern: '@NAME@-[0-9]+\.[0-9]+(?:\.[0-9]).tar.gz'

projects:
  - name: acl
    template: savannah
  - name: attr
    template: savannah
  - name: autoconf
    template: gnu
  - name: automake
    template: gnu

  - name: bash
    template: gnu
  - name: bc
    github: gavinhoward/bc
  - name: binutils
    template: gnu
  - name: bison
    template: gnu
  - name: bzip2
    url: https://www.sourceware.org/pub/bzip2/
    pattern: bzip2-[0-9]+\.[0-9]+\.[0-9]+\.tar.gz

  - name: check
    github: libcheck/check
  - name: coreutils
    template: gnu

  - name: dejagnu
    template: gnu
  - name: diffutils
    template: gnu

  - name: e2fsprogs
    url: https://www.kernel.org/pub/linux/kernel/people/tytso/e2fsprogs/
    pattern: v[0-9]+\.[0-9]+\.[0-9]/
    file: e2fsprogs-${version}.tar.gz
  - name: elfutils
    url: https://sourceware.org/pub/elfutils/
    pattern: "[0-9]+\\.[0-9]+/"
    file: elfutils-${version}.tar.bz2
  - name: expat
    github: libexpat/libexpat
  - name: expect
    sourceforge: https://sourceforge.net/projects/expect/rss?path=/Expect

  - name: file
    url: https://astron.com/pub/file/
    pattern: file-[0-9]+\.[0-9]+\.tar.gz
  - name: findutils
    template: gnu
  - name: flex
    github: westes/flex
  - name: flit
    github: pypa/flit

  - name: gawk
    template: gnu
  - name: gcc
    url: https://ftp.mpi-inf.mpg.de/mirrors/gnu/mirror/gcc.gnu.org/pub/gcc/releases/
    pattern: gcc-[0-9]+\.[0-9]+\.[0-9]/
    file: gcc-${version}.tar.gz
  - name: gdbm
    template: gnu
  - name: gettext
    template: gnu
  - name: glibc
    template: gnu
  - name: gmp
    template: gnu
  - name: gperf
    template: gnu
  - name: grep
    template: gnu
  - name: groff
    template : gnu
  - name: grub
    template: gnu
  - name: gzip
    template: gnu

  - name: iana-etc
    github: Mic92/iana-etc
  - name: inetutils
    template: gnu

  - name: mpfr
    url: https://www.mpfr.org/mpfr-current/
    pattern: mpfr-[0-9]+\.[0-9]+\.[0-9]+\.tar\.xz

  - name: linux-kernel
    url: https://cdn.kernel.org/pub/linux/kernel/v6.x/
    pattern: linux-[0-9]+\.[0-9]+\.[0-9]+\.tar\.xz
